package com.feemers.android.fftdrawer;

import android.graphics.Color;

public class Bar {
    private float value;
    private int harmonics;
    private float frequency;
    private final int color;

    public Bar(float value, int harmonics) {
        this.value = value;
        this.harmonics = harmonics;
        color = Color.rgb(0,255,0);
    }

    public float getValue(){
        return value;
    }

    public int getHarmonics() {
        return harmonics;
    }

    public int getColor(){
        return color;
    }
}
