package com.feemers.android.fftdrawer.SignalProcessing;

public abstract class SensorImpl implements ISensor {
    protected IDetector m_detector;
    protected double m_sampleRate;

    public SensorImpl()
    {
        m_detector = null;
        m_sampleRate = 0;
    }

    public void connectDetector(IDetector detector){
        if(detector == null){
            throw new AssertionError("detector == null");
        }
        m_detector = detector;
    }
}
